import java.awt.*;
import java.awt.event.*;

public class DialogMessageBox extends Dialog implements ActionListener
{
    private Button btnOk;

    public DialogMessageBox (Frame f, String title, String message)
    {
	super(f, title, true);
	btnOk = new Button("OK");
	btnOk.addActionListener(this);

	setLayout(new BorderLayout());
	
	add("Center", new Label(message));
	add("South", btnOk);

	// parent location and dimension
	Dimension pd = f.getSize();
	Point pl = f.getLocation();

	// this dimension and location
	Dimension td = new Dimension(300, 150);
	Point tl = new Point(pl.x + (pd.width-td.width)/2, pl.y + (pd.height-td.height)/2);

	setSize(td);
	setLocation(tl);
	setVisible(true);
    }

    public void actionPerformed(ActionEvent evt)
    {
	Object source = evt.getSource();
	if ((Button)source == btnOk) {
	    setVisible(false);
	}
    }
}
